Package writer2latex.latex

# Class TableConverter

java.lang.Object
writer2latex.latex.TableConverter

public class TableConverter extends Object

This class converts OpenDocument tables to LaTeX.

The following LaTeX packages are used; some of them are optional

array.sty, longtable.sty, supertabular.sty, tabulary.sty, hhline.sty, colortbl.sty.

Options:

- use_longtable = true|false
- use_supertabular = true|false
- use_tabulary = true|false
- use_colortbl = true|false
- float_tables = true|false
- float_options = <string>
- table_content = accept|ignore|warning|error

## Constructor Summary

Constructors
Constructor
Description
`TableConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)`
Constructs a new `TableConverter`.

## Method Summary

Modifier and Type
Method
Description
`void`
`appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)`
`void`
`handleCaption(Element node, LaTeXDocumentPortion ldp, Context oc)`
`void`
`handleTable(Element node, Element caption, boolean bCaptionAbove, LaTeXDocumentPortion ldp, Context oc)`
Process a table (table:table or table:sub-table tag)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableConverter

public TableConverter(OfficeReader ofr, LaTeXConfig config, ConverterPalette palette)

Constructs a new `TableConverter`.

## Method Details

### appendDeclarations

public void appendDeclarations(LaTeXDocumentPortion pack, LaTeXDocumentPortion decl)

### handleCaption

public void handleCaption(Element node, LaTeXDocumentPortion ldp, Context oc)

### handleTable

public void handleTable(Element node, Element caption, boolean bCaptionAbove, LaTeXDocumentPortion ldp, Context oc)

Process a table (table:table or table:sub-table tag)

Parameters:
  `node` - The element containing the table
  `ldp` - the `LaTeXDocumentPortion` to which LaTeX code should be added
  `oc` - the current context